Bug 11555 - pre-install in /etc/conf.modules doesn't work
pre-install in /etc/conf.modules doesn't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-21 14:26 EDT by Hanno Foest
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 18:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hanno Foest 2000-05-21 14:26:09 EDT
After upgrading from RH 6.1 to RH 6.2, the pre-install directive from
the /etc/conf.modules stopped working. I've been using it to install
the tuner module together with the bttv module:

alias char-major-81 bttv
options bttv radio=0,1 vidmem=0xff0
pre-install bttv modprobe -k tuner

Manually doing a modprobe tuner rectifies the problem until the next time
my TV application (xawtv) is being started.

There are several similar reports about using modprobe with this and other
modules at www.deja.com.
Comment 1 Olivier Baudron 2000-06-22 19:41:46 EDT
I also noticed that "pre-install" is broken in modutils 2.3.[9-11]. It seems
that this option is ignored. Instead, you can use "below bttv tuner" (see: man
modules.conf), which is enough in your case, and works (well, at least on my
PC...).
Comment 2 Bill Nottingham 2001-07-06 18:40:13 EDT
Does this persist with the 2.4.x modutils packages?
Comment 3 Bill Nottingham 2001-07-06 18:41:40 EDT
This does appear to work with the current 2.4.x modutils packages.
Resolving as fixed in the current release.

Note You need to log in before you can comment on or make changes to this bug.